Package org.apache.sling.caconfig.management.multiplexer

# Interface ConfigurationResourceResolvingStrategyMultiplexer

All Superinterfaces:
  `org.apache.sling.caconfig.resource.spi.ConfigurationResourceResolvingStrategy`

@ProviderType public interface ConfigurationResourceResolvingStrategyMultiplexer extends org.apache.sling.caconfig.resource.spi.ConfigurationResourceResolvingStrategy
Detects all `ConfigurationResourceResolvingStrategy` implementations in the container and consolidates their result based on service ranking.

## Method Summary

### Methods inherited from interface org.apache.sling.caconfig.resource.spi.ConfigurationResourceResolvingStrategy

`getResource, getResourceCollection, getResourceCollectionInheritanceChain, getResourceCollectionParentPath, getResourceInheritanceChain, getResourcePath`